Insert a row into a database table

Insert a row into a database table

Inserts a user-written overlay row into a live database table; supports an Idempotency-Key header.

POST/api/database-tables/{tableId}/rows
Path parameters
tableIdnumberrequired

Path parameter: tableId

Body
payloadobjectrequired

Request

curl
curl -X POST https://trickest.io/api/database-tables/{tableId}/rows \
  -H "Authorization: Bearer $TRICKEST_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ }'

Responses

201The inserted row
rowobjectrequired

400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.